Last Comment Bug 526317 - Remove nsIDOMGeoPositionError::message
: Remove nsIDOMGeoPositionError::message
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Geolocation (show other bugs)
: unspecified
: All All
: -- critical (vote)
: ---
Assigned To: Doug Turner (:dougt)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 13:12 PST by Doug Turner (:dougt)
Modified: 2012-08-27 00:53 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta4-fixed


Attachments
patch v.1 (1.64 KB, patch)
2009-11-12 20:16 PST, Doug Turner (:dougt)
bugs: review+
pavlov: approval1.9.2+
Details | Diff | Splinter Review

Description Doug Turner (:dougt) 2009-11-03 13:12:04 PST
At the geolocation face to face, we discussed and agreed that the message attribute of the position error should be removed.
Comment 1 Doug Turner (:dougt) 2009-11-12 20:16:26 PST
Created attachment 412132 [details] [diff] [review]
patch v.1

This also covers bug 526317.
Comment 2 Olli Pettay [:smaug] 2009-11-13 08:34:12 PST
(In reply to comment #1)
> This also covers bug 526317.
Wrong bug#?
Comment 3 Olli Pettay [:smaug] 2009-11-13 08:37:14 PST
Comment on attachment 412132 [details] [diff] [review]
patch v.1

 
>-[scriptable, uuid(1B493214-4E58-4A40-AA4C-1AB70C6DDBEC)]
>+[scriptable, uuid(AD9FA4C8-EC71-4B2D-8294-9ADF06DDEC32)]
> interface nsIDOMGeoPositionError : nsISupports
> {
>-  const unsigned short UNKNOWN_ERROR = 0;
Why are you removing this?
It is still mentioned in http://dev.w3.org/geo/api/spec-source.html#position_error_interface


If WG has decided to remote UNKNOWN_ERROR, then r=me.
Comment 4 Olli Pettay [:smaug] 2009-11-13 08:40:51 PST
I guess you meant Bug 526320
Comment 5 Doug Turner (:dougt) 2009-11-13 10:37:00 PST
http://hg.mozilla.org/mozilla-central/rev/c3924062e8bc
Comment 6 Doug Turner (:dougt) 2009-11-16 15:45:44 PST
smaug: andrei has not updated the draft spec yet.  I will ping him.
Comment 8 Eric Shepherd [:sheppy] 2009-11-17 07:41:44 PST
Doc updated:

https://developer.mozilla.org/en/XPCOM_Interface_Reference/NsIDOMGeoPositionError
Comment 9 Chris Peterson [:cpeterson] 2012-08-27 00:53:16 PDT
dougt, the 2012 W3C spec's PositionError still includes a `message` attribute:

"The `message` attribute must return an error message describing the details of the error encountered."

http://www.w3.org/TR/2012/PR-geolocation-API-20120510/#position_error_interface

Note You need to log in before you can comment on or make changes to this bug.